Debian Bug report logs - #405602
please move xterm-256color from ncurses-term to ncurses-base

version graph

Package: ncurses; Maintainer for ncurses is Craig Small <csmall@debian.org>;

Reported by: Iustin Pop <iusty@k1024.org>

Date: Thu, 4 Jan 2007 22:48:01 UTC

Severity: wishlist

Fixed in version ncurses/5.6+20080713-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#405602; Package ncurses. Full text and rfc822 format available.

Acknowledgement sent to Iustin Pop <iusty@k1024.org>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Iustin Pop <iusty@k1024.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: please move xterm-256color from ncurses-term to ncurses-base
Date: Thu, 04 Jan 2007 22:48:34 +0100
Package: ncurses
Severity: wishlist

I find the xterm-256color terminal type very useful for vim, mutt, etc.
However, having it in ncurses-term means an extra step on every host I
connect to. And it's not an obsolete one, as the readme.debian says
about ncurses-term :)

I suggest moving it to ncurses-base, but I'm not sure if this reasonable
or not.

Thanks!

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.19.1-teal-nopreempt
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#405602; Package ncurses. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #10 received at 405602@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 405602@bugs.debian.org, Iustin Pop <iusty@k1024.org>
Subject: Re: please move xterm-256color from ncurses-term to ncurses-base
Date: Fri, 05 Jan 2007 22:21:01 +0100
Hi,

from the first look, it makes sense, yes.

However, please note that there will be larger changes after etch to
ncurses, and that I'd like to postpone this request until then too.

Nevertheless, thanks for your report, it will be properly acted upon later.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#405602; Package ncurses. Full text and rfc822 format available.

Acknowledgement sent to Iustin Pop <iusty@k1024.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #15 received at 405602@bugs.debian.org (full text, mbox):

From: Iustin Pop <iusty@k1024.org>
To: Daniel Baumann <daniel@debian.org>
Cc: 405602@bugs.debian.org
Subject: Re: please move xterm-256color from ncurses-term to ncurses-base
Date: Sat, 6 Jan 2007 00:09:09 +0100
On Fri, Jan 05, 2007 at 10:21:01PM +0100, Daniel Baumann wrote:
> from the first look, it makes sense, yes.
Good to hear.

> However, please note that there will be larger changes after etch to
> ncurses, and that I'd like to postpone this request until then too.
Of course.

> Nevertheless, thanks for your report, it will be properly acted upon later.
Great, thanks!

Iustin



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#405602; Package ncurses. Full text and rfc822 format available.

Acknowledgement sent to Iustin Pop <iusty@k1024.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #20 received at 405602@bugs.debian.org (full text, mbox):

From: Iustin Pop <iusty@k1024.org>
To: Daniel Baumann <daniel@debian.org>
Cc: 405602@bugs.debian.org
Subject: Re: please move xterm-256color from ncurses-term to ncurses-base
Date: Tue, 19 Feb 2008 21:02:23 +0100
On Fri, Jan 05, 2007 at 10:21:01PM +0100, Daniel Baumann wrote:
> Hi,
> 
> from the first look, it makes sense, yes.
> 
> However, please note that there will be larger changes after etch to
> ncurses, and that I'd like to postpone this request until then too.
> 
> Nevertheless, thanks for your report, it will be properly acted upon later.

Hi,

(now including the bugs email address...)

Since I'd like to have this in lenny, is there anything I could help
with? I could attempt to write a patch if that is helpful.

thanks,
iustin




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#405602; Package ncurses. Full text and rfc822 format available.

Acknowledgement sent to Iustin Pop <iusty@k1024.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #25 received at 405602@bugs.debian.org (full text, mbox):

From: Iustin Pop <iusty@k1024.org>
To: 405602@bugs.debian.org
Subject: Re: please move xterm-256color from ncurses-term to ncurses-base
Date: Fri, 4 Jul 2008 08:24:38 +0200
Hi,

Are you still considering to do this or do you think it's a bad idea?

If yes, would you accept a patch moving xterm-256color and possible the
screen 256 color variants to ncurses-base?

Would be nice to have this change in lenny... As I see, now even other
terminals have 256-color variants (gnome, konsole, rxvt, putty, etc.).

thanks and sorry for the trouble,
iustin




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#405602; Package ncurses. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #30 received at 405602@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Iustin Pop <iusty@k1024.org>, 405602@bugs.debian.org
Subject: Re: Bug#405602: please move xterm-256color from ncurses-term to ncurses-base
Date: Fri, 04 Jul 2008 10:17:32 +0200
Iustin Pop wrote:
> If yes, would you accept a patch moving xterm-256color and possible the
> screen 256 color variants to ncurses-base?

sure.

> Would be nice to have this change in lenny... As I see, now even other
> terminals have 256-color variants (gnome, konsole, rxvt, putty, etc.).

as ncurses is frozen, it depends on if #487925 is getting a problem for
lenny too; if so, we need another sourceful upload to testing, which
also could move these terminals too (and backport fixes for #477725 and
#457363 too), otherwise it wont make it into lenny anymore.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#405602; Package ncurses. Full text and rfc822 format available.

Acknowledgement sent to Iustin Pop <iusty@k1024.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #35 received at 405602@bugs.debian.org (full text, mbox):

From: Iustin Pop <iusty@k1024.org>
To: Daniel Baumann <daniel@debian.org>
Cc: 405602@bugs.debian.org
Subject: Re: Bug#405602: please move xterm-256color from ncurses-term to ncurses-base
Date: Sun, 6 Jul 2008 00:08:54 +0200
[Message part 1 (text/plain, inline)]
On Fri, Jul 04, 2008 at 10:17:32AM +0200, Daniel Baumann wrote:
> Iustin Pop wrote:
> > If yes, would you accept a patch moving xterm-256color and possible the
> > screen 256 color variants to ncurses-base?
> 
> sure.

Good. I hope I understood the rules files correctly in making the
attached patch, the resulting packages have the terminfo files in cause
in the correct package.

I moved xterm-256color, screen-256color and (because screen-bce was
already in base) screen-256color-bce.

> > Would be nice to have this change in lenny... As I see, now even other
> > terminals have 256-color variants (gnome, konsole, rxvt, putty, etc.).
> 
> as ncurses is frozen, it depends on if #487925 is getting a problem for
> lenny too; if so, we need another sourceful upload to testing, which
> also could move these terminals too (and backport fixes for #477725 and
> #457363 too), otherwise it wont make it into lenny anymore.

Ah, I see. I should have pinged you earlier, my loss :(

thanks a lot,
iustin
[0001-Move-the-some-256-color-files-to-ncurses-base.patch (text/x-diff, attachment)]

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Iustin Pop <iusty@k1024.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 405602-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 405602-close@bugs.debian.org
Subject: Bug#405602: fixed in ncurses 5.6+20080713-1
Date: Wed, 16 Jul 2008 07:47:08 +0000
Source: ncurses
Source-Version: 5.6+20080713-1

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

lib64ncurses5-dev_5.6+20080713-1_i386.deb
  to pool/main/n/ncurses/lib64ncurses5-dev_5.6+20080713-1_i386.deb
lib64ncurses5_5.6+20080713-1_i386.deb
  to pool/main/n/ncurses/lib64ncurses5_5.6+20080713-1_i386.deb
libncurses5-dbg_5.6+20080713-1_i386.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.6+20080713-1_i386.deb
libncurses5-dev_5.6+20080713-1_i386.deb
  to pool/main/n/ncurses/libncurses5-dev_5.6+20080713-1_i386.deb
libncurses5_5.6+20080713-1_i386.deb
  to pool/main/n/ncurses/libncurses5_5.6+20080713-1_i386.deb
libncursesw5-dbg_5.6+20080713-1_i386.deb
  to pool/main/n/ncurses/libncursesw5-dbg_5.6+20080713-1_i386.deb
libncursesw5-dev_5.6+20080713-1_i386.deb
  to pool/main/n/ncurses/libncursesw5-dev_5.6+20080713-1_i386.deb
libncursesw5_5.6+20080713-1_i386.deb
  to pool/main/n/ncurses/libncursesw5_5.6+20080713-1_i386.deb
ncurses-base_5.6+20080713-1_all.deb
  to pool/main/n/ncurses/ncurses-base_5.6+20080713-1_all.deb
ncurses-bin_5.6+20080713-1_i386.deb
  to pool/main/n/ncurses/ncurses-bin_5.6+20080713-1_i386.deb
ncurses-term_5.6+20080713-1_all.deb
  to pool/main/n/ncurses/ncurses-term_5.6+20080713-1_all.deb
ncurses_5.6+20080713-1.diff.gz
  to pool/main/n/ncurses/ncurses_5.6+20080713-1.diff.gz
ncurses_5.6+20080713-1.dsc
  to pool/main/n/ncurses/ncurses_5.6+20080713-1.dsc
ncurses_5.6+20080713.orig.tar.gz
  to pool/main/n/ncurses/ncurses_5.6+20080713.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 405602@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 16 Jul 2008 09:09:00 +0200
Source: ncurses
Binary: libncurses5 libncurses5-dev libncurses5-dbg libncursesw5 libncursesw5-dev libncursesw5-dbg lib64ncurses5 lib64ncurses5-dev lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev ncurses-bin ncurses-base ncurses-term
Architecture: source i386 all
Version: 5.6+20080713-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel@debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 lib32ncurses5 - shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - developer's libraries for ncurses (32-bit)
 lib32ncursesw5 - shared libraries for terminal handling (wide character support) (
 lib32ncursesw5-dev - developer's libraries for ncursesw (32-bit)
 lib64ncurses5 - shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - developer's libraries for ncurses (64-bit)
 libncurses5 - shared libraries for terminal handling
 libncurses5-dbg - debugging/profiling libraries for ncurses
 libncurses5-dev - developer's libraries and docs for ncurses
 libncursesw5 - shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - debugging/profiling libraries for ncurses
 libncursesw5-dev - developer's libraries for ncursesw
 ncurses-base - basic terminal type definitions
 ncurses-bin - terminal-related programs and man pages
 ncurses-term - additional terminal type definitions
Closes: 405602
Changes: 
 ncurses (5.6+20080713-1) unstable; urgency=low
 .
   * Moving xterm-256color from ncurses-term to ncurses-base, thanks to Iustin
     Pop <iusty@k1024.org> (Closes: #405602).
   * Merging upstream version 5.6+20080713.
Checksums-Sha1: 
 045fd4c19b4da580011121bcce4bd11af5816f89 1503 ncurses_5.6+20080713-1.dsc
 0151549673f1a215d74eee2e517fa6325f554e49 2474991 ncurses_5.6+20080713.orig.tar.gz
 01e26b0ff7c97a2b091f5007073d0a5da567815c 38289 ncurses_5.6+20080713-1.diff.gz
 fe0ae7ee722025d5f36060fec47fd3a7d1f8c80c 332578 libncurses5_5.6+20080713-1_i386.deb
 460187800c5724ef599681cc19580ddf5c80423b 1525274 libncurses5-dev_5.6+20080713-1_i386.deb
 85c84bcb04d5f530904662e3c58f461cdaac2a56 1636172 libncurses5-dbg_5.6+20080713-1_i386.deb
 d62e4729a2bdc6acd8548e5acfcd7a7258c09591 354170 libncursesw5_5.6+20080713-1_i386.deb
 1f9515e19af88bfeec9fc1f736225b62df48b10b 472834 libncursesw5-dev_5.6+20080713-1_i386.deb
 db0ab9628fe34c5288a34c99a15176ed3125afce 1849448 libncursesw5-dbg_5.6+20080713-1_i386.deb
 17aa1688497a8c4d711d57dc5442da502aa89689 345820 lib64ncurses5_5.6+20080713-1_i386.deb
 d6fbeed83b311171ebb38012ddcc0d48afdec655 412426 lib64ncurses5-dev_5.6+20080713-1_i386.deb
 92fd498c55cebc752fd04789fe29ce8a6571d2bc 136634 ncurses-bin_5.6+20080713-1_i386.deb
 ea03d2f030a08a85fbe997805e43eb33b3102cda 13646 ncurses-base_5.6+20080713-1_all.deb
 a4cc5196840dcb83869761738d0fde3e5be0b477 348760 ncurses-term_5.6+20080713-1_all.deb
Checksums-Sha256: 
 a0889cec64da9586ed212721a4f92d96f3d279f290d9a373359f05b1454dd946 1503 ncurses_5.6+20080713-1.dsc
 9ca1d4706a42aa51e1c892cbbbfb65e44e9651577b97fe41c01c8bc8534ff9be 2474991 ncurses_5.6+20080713.orig.tar.gz
 50ea54d9703e00474169348305ad8c78916f218817f8453e516e6a4c26cf8552 38289 ncurses_5.6+20080713-1.diff.gz
 ef4ffa1c59062426458a19f55ac3dcca5e2592b7c0f082d7fc25ab84657e8089 332578 libncurses5_5.6+20080713-1_i386.deb
 9827babbcc6bf8500b81147dc6725400207143f3939a2eec5b307834db34fa5e 1525274 libncurses5-dev_5.6+20080713-1_i386.deb
 a2db381dbb2087e76a75fb9b5778bfbec77167609f45593655101dda30619ebd 1636172 libncurses5-dbg_5.6+20080713-1_i386.deb
 21a0544622d1f7f31530fd850c9920f4ade5fa4ac418063ff750e57dab1f60e4 354170 libncursesw5_5.6+20080713-1_i386.deb
 dde1d8f204bde5a1e1928b4159f9e1778006c7b5425665c0cf90fc1369421711 472834 libncursesw5-dev_5.6+20080713-1_i386.deb
 96d77f3b600244088846ce80ad2b6553b9a468238a972300d88b1c830275ce3a 1849448 libncursesw5-dbg_5.6+20080713-1_i386.deb
 0d583d4306fb28e60db2abfc60ad3e6314af13cf5974bf86bca8fcf939d92293 345820 lib64ncurses5_5.6+20080713-1_i386.deb
 76b4f96661de7f500c9dc80ca52924b691ea42ace84dab401c9b0165cadcd6f8 412426 lib64ncurses5-dev_5.6+20080713-1_i386.deb
 5c8e33758f988a5da8e34e366f481742a91a82a65eea4d3d90e80be304e1218f 136634 ncurses-bin_5.6+20080713-1_i386.deb
 46813e3b3f58b6ef480437ad25b34d0566076d856c0147c5aa44af148b1f5249 13646 ncurses-base_5.6+20080713-1_all.deb
 96fbad03f9bde999bf0c16f9780939c99e6c8b66fc4fa8b319937946e59aaab5 348760 ncurses-term_5.6+20080713-1_all.deb
Files: 
 755df3cbd7299bd018b27360336025ae 1503 libs standard ncurses_5.6+20080713-1.dsc
 4f08b944cd295afc81b6af8feabca6ad 2474991 libs standard ncurses_5.6+20080713.orig.tar.gz
 0da1db4af591529c4ec11cc97a72ccb3 38289 libs standard ncurses_5.6+20080713-1.diff.gz
 f5a34ac613485cfc69ab0e7063ca4fb3 332578 libs required libncurses5_5.6+20080713-1_i386.deb
 3e9f61433c14345a8cc969690f4bb7cc 1525274 libdevel optional libncurses5-dev_5.6+20080713-1_i386.deb
 a47112e35930adfad1d9b782d32e3c47 1636172 libdevel extra libncurses5-dbg_5.6+20080713-1_i386.deb
 ca63b82f7647b4fb6ec7c1117247a26d 354170 libs important libncursesw5_5.6+20080713-1_i386.deb
 c7d85559520739a4c67b80e747d0a3e2 472834 libdevel optional libncursesw5-dev_5.6+20080713-1_i386.deb
 bad58c75ff1d52d9d0f08a860c3c1c8c 1849448 libdevel extra libncursesw5-dbg_5.6+20080713-1_i386.deb
 0b781a81ecb2639720a5de4f6a6cfa1f 345820 libs optional lib64ncurses5_5.6+20080713-1_i386.deb
 3b6753410e754ddc5df45f23262bdfc6 412426 libdevel optional lib64ncurses5-dev_5.6+20080713-1_i386.deb
 872fdec493a1e3fd8b0ff6e1e52666fe 136634 utils required ncurses-bin_5.6+20080713-1_i386.deb
 947a662730820b8dd613a907497851e8 13646 utils required ncurses-base_5.6+20080713-1_all.deb
 8ad6124caf5833c686535106083a5bbe 348760 admin standard ncurses-term_5.6+20080713-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkh9pDAACgkQ+C5cwEsrK55FqQCgzGq5L4DiK0jVxYX+KsiNEEVF
LtkAnik04LP6C3pPW53k2zRw9adjMXrO
=v9j0
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Aug 2008 07:25:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:50:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.